---

- name: Clean YUM Metadata
  command: yum clean metadata
  args:
    warn: no

- name: Regenerate GRUB Config
  command: "grub2-mkconfig -o /boot/grub2/grub.cfg"

- name: Warn Reboot Needed
  debug:
    msg: "Reboot needed to apply certain changes"

- name: "DNF Distro Sync"
  command: "dnf -y distro-sync"

- name: "Restart firewalld"
  service:
    name: firewalld
    state: restarted

